Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2006 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.portlet.jsp
Class PortletJspBase

    java.lang.Object
      com.bea.portlet.jsp.PortletJspBase

    public abstract class PortletJspBase

extends Object

A base class for JSP pages included within portlets conforming to the Java portlet API.

This base class ensures that the following variables are automatically available in the JSP:

`portletRequest`: An object implementing the `javax.portlet.PortletRequest` interface.
`renderResponse`: An object implementing the `javax.portlet.RenderResponse` interface.
`portletConfig`: An object implementing the `javax.portlet.PortletConfig` interface.

Portlet JSP pages could either extend this class explicitly as in `<%@page extends="com.bea.portlet.jsp.PortletJspBase"%>`, or all JSP pages in a web app extend this class automatically by specifying the following in weblogic.xml.

        <jsp-descriptor>
           <jsp-param>
              <param-name>superclass</param-name>
              <param-value>com.bea.portlet.jsp.PortletJspBase</param-value>
           </jsp-param>
        </jsp-descriptor>

See Also
  `javax.portlet.RenderRequest`, `javax.portlet.RenderResponse`, `javax.portlet.PortletConfig`

Field Summary
`protected PortletConfig` | `portletConfig`
`protected RenderRequest` | `renderRequest`
`protected RenderResponse` | `renderResponse`
`protected ServletConfig` | `servletConfig`

Constructor Summary
`PortletJspBase()`

Method Summary
`abstract void` | `_jspService(HttpServletRequest rq, HttpServletResponse rp)`
`void` | `destroy()`
`ServletConfig` | `getServletConfig()`
`String` | `getServletInfo()`
`void` | `init(ServletConfig config)`
`void` | `jspDestroy()`
`void` | `jspInit()`
`void` | `service(ServletRequest request, ServletResponse response)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### servletConfig

    protected ServletConfig servletConfig

### renderRequest

    protected RenderRequest renderRequest

### renderResponse

    protected RenderResponse renderResponse

### portletConfig

    protected PortletConfig portletConfig

Constructor Detail

### PortletJspBase

    public PortletJspBase()

Method Detail

### init

    public final void init(ServletConfig config)

### getServletConfig

    public ServletConfig getServletConfig()

### service

    public final void service(ServletRequest request,
                              ServletResponse response)
                       throws ServletException,
                              IOException

  Throws
    `ServletException`
    `IOException`

### getServletInfo

    public String getServletInfo()

### destroy

    public final void destroy()

### jspInit

    public void jspInit()

### jspDestroy

    public void jspDestroy()

### _jspService

    public abstract void _jspService(HttpServletRequest rq,
                                     HttpServletResponse rp)
                              throws ServletException,
                                     IOException

  Throws
    `ServletException`
    `IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 BEA Systems, Inc. All Rights Reserved